Subject: Re: bug#58571: translations are incompletely pulled from weblate

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Mon, 17 Oct 2022 19:12:24 +0200

two--- via Bug reports for GNU Guix <[email-masked]> writes:
> hi
> in https://git.savannah.gnu.org/cgit/guix.git/tree/po/guix/uk.po i see
> kyrylo's translations are pulled there from weblate, but mine
> (https://translate.fedoraproject.org/changes/?project=guix&lang=uk&user=two22)
> are not, these strings stay untranslated or erroneous.

This is strange and I do not yet see what could be the cause.

Weblate is backed not by savannah but by an intermediate repository
https://framagit.org/tyreunom/guix-translations
which Julien regularly syncs with Savannah each month.

Perhaps could you try changing a translation on Weblate and see if there
is a change to <https://framagit.org/tyreunom/guix-translations>?  It
will sync faster if after you make the change on Weblate, you use
Weblate’s File download button.

Regards,
Florian